Bug 196644 - Extra "device" shows up
Extra "device" shows up
Product: Fedora
Classification: Fedora
Component: wlassistant (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-26 02:59 EDT by Mary Ellen Foster
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.5.5-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-11 12:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of wlassistant, showing second "device" (21.35 KB, image/png)
2006-06-26 02:59 EDT, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2006-06-26 02:59:29 EDT
Description of problem:

This is a bug with wlassistant that's only shown up since upgrading the kernel.
wlassistant seems to parse the output of /sbin/iwconfig to determine the
Ethernet devices that support wireless extensions. Since upgrading to
kernel-2.6.17-1.2139_FC5, iwconfig prints a warning when it runs about

    "Warning: Driver for device eth1 has been compiled
     with version 20 of Wireless Extension, while this program
     supports up to version 19. Some things may be broken..."

wlassistant mis-parses this and shows a second device, in addition to eth1,
called "Warning: Driver for device eth1 has been compiled [...]". I'll attach a
screenshot in a second.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Run wlassistant
Actual results:
Two "devices" shown (see screenshot)

Expected results:
One device shown
Comment 1 Mary Ellen Foster 2006-06-26 02:59:30 EDT
Created attachment 131517 [details]
Screenshot of wlassistant, showing second "device"
Comment 2 TJ Hoye 2006-08-09 09:49:12 EDT
I'm using FC5 updated daily.
I've got 5Mbps Verizon fios, Actiontec router.
I'm using a Surplus 802.11b usb key based on zd1201.
I'm using the only firmware that ever shows up Googling for zd1201.
my wlassistant complains on bootup like Mary Ellen says;
my wlassistant displays half a dozen locals and my own access point;
my wlassistant complains that it can't connect; BUT,
It works anyway.
I keep eth0 de-activated, otherwise wlan0 and eth0 may get confused as to who
gets what in the dhclient assignments made by the router.
I get as good throughput (~5.1Mbps) with the 11b key rig upstairs as I do with
the rig downstairs that's ethernetted to the router. 

Comment 3 Tom "spot" Callaway 2006-09-11 12:27:54 EDT
Fixed in 0.5.5-4.

Note You need to log in before you can comment on or make changes to this bug.